// -*- C++ -*-

/* 
 * Gnome Chemistry Utils
 * gccv/circle.h 
 *
 * Copyright (C) 2008 Jean Bréfort <jean.brefort@normalesup.org>
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301
 * USA
 */

#ifndef GCCV_CIRCLE_H
#define GCCV_CIRCLE_H

#include "fill-item.h"

namespace gccv {

class Circle: public FillItem
{
public:
	Circle (Canvas *canvas, double x, double y, double radius);
	Circle (Group *parent, double x, double y, double radius, ItemClient *client = NULL);
	virtual ~Circle ();

	void SetPosition (double x, double y);
	void GetPosition (double &x, double &y);

	// virtual methods
	double Distance (double x, double y, Item **item) const;
	void Draw (cairo_t *cr, bool is_vector) const;
	void UpdateBounds ();
	void Move (double x, double y);

private:
	double m_x, m_y;

GCCV_ITEM_POS_PROP (double, Radius)
};

}

#endif	//	 GCCV_CIRCLE_H
